Bug 1124761 - API docs: app uuid vs id
Summary: API docs: app uuid vs id
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OKD
Classification: Red Hat
Component: Documentation
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: mfisher
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 09:12 UTC by Aleksandar Kostadinov
Modified: 2017-05-31 18:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 18:22:11 UTC


Attachments (Terms of Use)

Description Aleksandar Kostadinov 2014-07-30 09:12:13 UTC
In rest API guide I see:
http://openshift.github.io/documentation/rest_api/rest-api-1-6.html#application

> uuid	Unique identifier for this application.

but since 1.6 it is 'id'

IMO we need to have a system to generate API docs from actual server to avoid discrepancies between docs and reality.

Comment 1 Bilhar 2014-07-30 23:17:10 UTC
I wasn't sure about this one as I thought the API docs were automatically generated, so I'm assigning this to Harrison to confirm.

Comment 2 N. Harrison Ripps 2014-07-31 18:22:32 UTC
They are automatically generated; the source for the API docs lives in the comments of the API code itself. I'm assigning this to Lili; Lili please reassign as appropriate.

Comment 3 Aleksandar Kostadinov 2014-08-04 12:02:34 UTC
What tool is used to generate that info?

Comment 4 Aleksandar Kostadinov 2014-08-04 12:06:42 UTC
Actually in `online` docs I see `uuid` in many places example response:

https://access.redhat.com/documentation/en-US/OpenShift/2.0/html-single/REST_API_Guide/index.html#sect-API_Guide-Applications-List_Applications

Comment 6 Eric Paris 2017-05-31 18:22:11 UTC
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.


Note You need to log in before you can comment on or make changes to this bug.